import 'package:flutter_riverpod/flutter_riverpod.dart';
import 'package:slrpg_app/main.dart';
import 'package:slrpg_app/src/shared/data/repositories/cycle_repository.dart';
import 'package:slrpg_app/src/shared/data/repositories/user_repository.dart';
import 'package:slrpg_app/src/shared/data/repositories/workout_repository.dart';
import 'backup_service.dart';

final backupServiceProvider = Provider<BackupService>((ref) {
  return BackupService(
    ref.watch(appDatabaseProvider),
    ref.watch(userRepositoryProvider),
    ref.watch(cycleRepositoryProvider),
    ref.watch(workoutRepositoryProvider),
  );
});
